<div nz-row nzGutter="8">
  <div nz-col nzXs="24" nzSm="24" nzXl="6" style="margin-bottom: 10px;">
    <nz-card [nzTitle]="profileTpl" nzSize="small" [nzLoading]="isLoading" style="margin-bottom: 10px;">
      <ng-template #profileTpl>
        <div style="text-align: center;">
          {{ army?.name }}
        </div>
      </ng-template>

      <div style="text-align: center;">
        <app-entity-avatar *ngIf="army" entityType="army" [(avatar)]="army.avatar"></app-entity-avatar>

        <div>
          {{ "Common.Location" | translate }}:
          <a style="margin-right: 5px" [routerLink]="['/region', army?.region?.id]">{{ army?.region?.name }}</a>
          <span *ngIf="army?.region?.country">of
            <a [routerLink]="['/country', army?.region?.country?.id]">{{army?.region?.country?.name}}</a>
          </span>
        </div>

        <nz-divider></nz-divider>

        <button nz-button nzShape="round" *ngIf="canJoin === true" class="button-basic" nz-tooltip
          nzTooltipTitle="{{ 'Common.Buttons.Join' | translate }}" (click)="join()">
          <i class="fas fa-sign-in-alt"></i>
        </button>

        <button nz-button nzShape="round" *ngIf="isMember === true && !isEntity" class="button-basic" nz-tooltip
          nzTooltipTitle="{{ 'Citizen.Company.Resign' | translate }}" (click)="resign()">
          <i class="fas fa-sign-out-alt"></i>
        </button>

        <button *ngIf="!isEntity && canSwitch === true" class="button-basic" nzShape="round" nz-button
          (click)="switchTo(army?.id)" nz-tooltip nzTooltipTitle='{{ "Common.Buttons.Switch" | translate }}'>
          <i class="fas fa-redo"></i>
        </button>

        <button *ngIf="!isEntity" nzShape="round" class="button-basic" nz-button
          [routerLink]="['/donate/army/', army?.id]" nz-tooltip
          nzTooltipTitle='{{ "Common.Buttons.Donate" | translate }}'>
          <i class="fas fa-donate"></i>
        </button>

        <button *ngIf="!isEntity" nzShape="round" class="button-basic" nz-button
          [routerLink]="['/trade/army/', army?.id]" nz-tooltip nzTooltipTitle='{{ "Economy.Trade.Trad" | translate }}'>
          <i class="far fa-handshake"></i>
        </button>

        <button *ngIf="isEntity" class="button-basic" nzShape="round" nz-button
          [routerLink]="['/army/', army?.id, 'squads']" nz-tooltip
          nzTooltipTitle='{{ "Military.Squads.Squads" | translate }}'>
          <i class="fas fa-list"></i>
        </button>

        <button *ngIf="isEntity" class="button-basic" nzShape="round" nz-button
          [routerLink]="['/army/', army?.id, 'donate']" nz-tooltip [nzTooltipTitle]='"Donations.massDonate" | translate'>
          <i class="fas fa-donate"></i>
        </button>
        <button *ngIf="isEntity" class="button-basic" nzShape="round" nz-button
          [routerLink]="['/army/', army?.id, 'donate', 'history']" nz-tooltip [nzTooltipTitle]="'Donations.massDonateHistory' | translate">
          <i class="fas fa-donate"></i>
        </button>

        <button *ngIf="isEntity" class="button-basic" nzShape="round" nz-button
          [routerLink]="['/army/', army?.id, 'members']" nz-tooltip
          nzTooltipTitle='{{ "Military.Army.Members" | translate }}'>
          <i class="fas fa-user-friends"></i>
        </button>

        <button *ngIf="isMod" class="button-basic" nz-button nzShape="round" (click)="showModPanel()"
          [nz-tooltip]="'Citizen.modPanel' | translate">
          <span nz-icon nzType="more" nzTheme="outline"></span>
        </button>

        <app-entity-settings *ngIf="isEntity && army" [(entity)]="army" entityType="army"></app-entity-settings>

        <app-report-button entityType="army" [entityId]="army?.id">
        </app-report-button>
      </div>
    </nz-card>

    <app-entity-members *ngIf="army" [entityId]="army?.id" entityType="armies"></app-entity-members>

    <app-moderator-notes-list *ngIf="army" [entityId]="army?.id" entityType="army"></app-moderator-notes-list>

    <app-common-currencies-list [showHistoryButton]="isEntity" *ngIf="army != undefined" entityType="army"
      [entityId]="id"></app-common-currencies-list>

  </div>

  <div nz-col nzXs="24" nzSm="24" nzXl="18">
    <nz-card nzSize="small" [nzTitle]="'Common.Orders' | translate" [nzExtra]="ordersButtons" style="margin-bottom: 10px"
      *ngIf="isMember === true || isEntity === true">
      <ng-container *ngIf="!orderIsEdited; else newOrderBlock">
        {{ orders ? "Military.Army.armyOrder" + orders.content : "Military.Army.armyNoOrders" | translate }}
      </ng-container>
      <ng-template #newOrderBlock>
        <textarea rows="4" nz-input [(ngModel)]="newOrder" placeholder="{{'Military.Army.writeNewOrder' | translate }}"></textarea>
      </ng-template>
    </nz-card>
    <ng-template #ordersButtons>
      <div *ngIf="isEntity">
        <ng-container *ngIf="orderIsEdited; else viewButtons">
          <div class="button-group">
            <button nz-tooltip [nzTooltipTitle]="'Military.Army.Cancel' | translate" nz-button nzType="secondary" (click)="changeEditOrder()">
              <i nz-icon nzType="close" nzTheme="outline"></i>
            </button>
            <button nz-tooltip [nzTooltipTitle]="'Military.Army.acceptNewOrder' | translate" nzShape="round" nz-button nzType="primary"
              [disabled]="!newOrder" (click)="saveNewOrder()">
              <i nz-icon nzType="check" nzTheme="outline"></i>
            </button>
          </div>
        </ng-container>
        <ng-template #viewButtons class="button-group">
          <div class="button-group">
            <button nz-tooltip [nzTooltipTitle]="'Military.Army.writeNewOrder' | translate" nzShape="round" nz-button nzType="secondary"
              (click)="changeEditOrder()">
              <i nz-icon nzType="notification" nzTheme="outline"></i>
            </button>
            <button nz-button nz-tooltip [nzTooltipTitle]="'Military.Army.cancelCurrentOrder' | translate" nzShape="round" nzType="secondary"
              (click)="cancelOrder()">
              <i nz-icon nzType="delete" nzTheme="outline"></i>
            </button>
          </div>
        </ng-template>
      </div>
    </ng-template>
    <app-entity-bio *ngIf="isEntity === true || (isEntity === false && army?.bio)" [bio]="army?.bio"
      [isEntity]="isEntity"></app-entity-bio>

    <app-entity-company-list *ngIf="army" entityType="army" [entityId]="army?.id"></app-entity-company-list>

    <nz-card nzSize="small" [nzTitle]="'Military.Squads.Squads' | translate" [nzLoading]="isLoading">
      <ul nz-list [nzDataSource]="army.squads" nzBordered nzSize="small" *ngIf="army && army.squads"
        nzNoResult="No squads">
        <nz-list-item *ngIf="army.squads.length > 0">
          <span nz-typography>{{ 'Military.Army.Name' | translate }}</span>
          {{ 'Military.Army.membersCount' | translate }}
        </nz-list-item>
        <li nz-list-item *ngFor="let item of army.squads" nzNoFlex>
          <ul nz-list-item-actions>
            <nz-list-item-action>
              {{ item.membersCount }}
            </nz-list-item-action>
          </ul>
          {{ item.name }}
        </li>
      </ul>
    </nz-card>
  </div>
</div>
